GriffonControllerClass (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface GriffonControllerClass

    griffon.core.GriffonControllerClass
      griffon.core.ApplicationHandler
          griffon.core.GriffonClass

All Superinterfaces:
  ApplicationHandler, GriffonClass

    public interface GriffonControllerClass
    extends GriffonClass

Represents a Controller class in Griffon.

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary
`String` | `TRAILING` "Controller"
`String` | `TYPE` "controller"

Fields inherited from interface GriffonClass
STANDARD_PROPERTIES

Method Summary
`String[]` | `getActionNames()` Matches all public methods and all properties that have a Closure as value.
`String[]` | `getEventNames()` Matches all public methods and closure properties whose name matches the event handler convention, i.e, starts with "on" and is followed by at least one uppercase character.

Methods inherited from interface GriffonClass
getArtifactType, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReferenceInstance, getShortName, hasProperty, newInstance

Methods inherited from interface ApplicationHandler
getApp

Field Detail

### TRAILING

    public String TRAILING

  "Controller"

### TYPE

    public String TYPE

  "controller"

Method Detail

### getActionNames

    public String[] getActionNames()

  Matches all public methods and all properties that have a Closure as value.

  Actions are subject to the following rules in order to be considered as such:

  - must have public (Java) or default (Groovy) visibility modifier.
  - name does not match an event handler, i.e, it does not begin with `on`.
  - must pass {code GriffonClassUtils.isPlainMethod()} if it's a method.
  - must have `void` as return type if it's a method.
  - value must be a closure (including curried method pointers) if it's a property.
  Returns:
    an array containing the names of all action names.

### getEventNames

    public String[] getEventNames()

  Matches all public methods and closure properties whose name matches the event handler convention, i.e, starts with "on" and is followed by at least one uppercase character.

  Returns:
    an array containing the names of all event handlers.

Groovy Documentation